Subject: Re: Calls | 26th Feb'20
From: Pritish Nandi <[email-masked]>
To: Puja Khurana <[email-masked]>
Cc: saurabh <[email-masked]>
Date: Fri, 28 Feb 2020 06:40:39 -0700 (MST)

Hi Puja, 

I have changed the status for all to callback again and will get back to these customers. There are total 110 cases. 

However couple points we would like to highlight: 

1- The CRM is very slow when you work on it. And you have add remove leads manually and sometime when you are doing it the system is frozen. 
2- A surprising number of people AJ called haven't heard of either ActionPages or FindYello.com, and aren't interested in providing any data about their company to someone they've never heard of. 
3- When dailing the number the customer are hanging up the calls. Attach some pictures for your reference. 
4- I have tried auditing AJ's calls randomly and have found very less area's of improvement. The way he deal with the calls as fine and I so not see what else we could do to improve the quality to get more statuses as form filled. 

If you have any further feedback for us to implement when we call today we would be happy to follow that. 

Regards, 
Pritish 

From: "Puja Khurana" <[email-masked]> 
To: "Pritish Nandi" <[email-masked]> 
Sent: Friday, February 28, 2020 10:35:18 AM 
Subject: Re: Calls | 26th Feb'20 

Hi Pritish, 

Can we please go ahead and call the following cases: 

    * Call backs 
    * Answering machine 
    * Ringing no response 

There are about 100 such cases. 

Thanks 

On 27-Feb-2020, at 1:05 PM, Pritish Nandi < [ mailto:[email-masked] | [email-masked] ] > wrote: 

Hi Puja, 

I have checked these already and found after couple of rings the calls are disconnected and on the screen it shows hung up. If you want I can ask AJ to capture the screen recording and share it with you tomorrow. 

Regarding total hours, I will advise the MIS guy to update this in the online sheet per day basis so that you can have a view. 

Regards, 
Pritish 

From: "Puja Khurana" < [ mailto:[email-masked] | [email-masked] ] > 
To: "Pritish Nandi" < [ mailto:[email-masked] | [email-masked] ] > 
Sent: Thursday, February 27, 2020 11:51:18 AM 
Subject: Calls | 26th Feb'20 

Hi Pritish, 

I have reviewed yesterday’s calls. 

I see that the success rate was very low. 

I am little concerned with the number of “Customer hung up” cases. 

I actually wanted to review these recordings, however there are no recordings against most of these cases. 

Can you please look into this and get back to me. 

Also, do share the total hours spent until 26th Feb’20 

Please 

Thanks 

-- 
Puja Khurana 

m: +91.9871071029 
t: +91.11.42666666 
s: pujakhurana1 
GMT +5.5 hours 

-- 
Puja Khurana 

m: +91.9871071029 
t: +91.11.42666666 
s: pujakhurana1 
GMT +5.5 hours